# AcTag: Opti-Acoustic Fiducial Markers for Underwater Localization and Mapping

[![Build Status](https://robots.et.byu.edu:4000/api/badges/frostlab/actag/status.svg)](https://robots.et.byu.edu:4000/frostlab/actag)
[![Documentation Status](https://readthedocs.org/projects/actag/badge/?version=latest)](https://actag.readthedocs.io/en/latest/?badge=latest)
[![PyPI version](https://badge.fury.io/py/actag.svg)](https://badge.fury.io/py/actag)

<img src="./actag_families/image_files/example_images/AcTagExampleUsage.png" alt="Hovering Autonomous Underwater Vehicle (AUV) in water with an AcTag. Examples of acoustic and optical output of tag detection are also shown.">

AcTag is a novel opti-acoustic fiducial marker that can be detected in both optical and acoustic images. When seen through an imaging sonar, AcTags provide the unique identification of four individual landmarks per tag, and provide relative range and azimuth values to each landmark. When seen with a camera, AcTags provide a valid 6-DOF pose estimate through the use of the [apriltag](https://github.com/AprilRobotics/apriltag) repository. In addition, AcTags are cheap, easy to manufacture, and can be easily detected with this open-source repository. Therefore, we believe that AcTag has significant potential to improve underwater robotic localization and mapping by enabling accurate tracking of objects in underwater environments.

## Documentation

Documentation on this repository can be found on [Read the Docs](https://actag.readthedocs.io/en/latest/). Please see the [Quickstart](https://actag.readthedocs.io/en/latest/guides/quickstart.html) guide for a quick overview into detecting AcTags.

## Contact Us

For questions or inquiries, feel free to reach out to the team:

- [Kalin Norman](https://frostlab.byu.edu/directory/kalin-norman)
- [Daniel Butterfield](https://frostlab.byu.edu/directory/daniel-butterfield)
- [Frost Lab](https://frostlab.byu.edu/)