# Using AcTags

The basic usage of an AcTag is simple. Place it underwater within the view of a camera/sonar, and capture imagery of the tag face. You'll know that it's working when you can see the AcTag's unique data bit pattern within the respective sensor image.

However, there are a few details specific to AcTags that are important to know:

* As they are constructed with metal sheets, AcTags may have sharp edges or corners. Handle with care, and do not use them in situations where the edges or corners could damage important infrastructure. For example, vinyl pool liners, underwater wiring, or ropes. If you would like to use an AcTag around items that could be damaged by it, please take additional measures to pad the corners or edges of the tag.
* While the tags we have constructed do not float, they are typically only slightly negatively buoyant and their position could be disturbed in areas with underwater currents. To facilitate deployment and/or retreival, you may want to add a weight, buoy, or mounting surface to your AcTag. See [Modifying AcTags](#markdown-header-modifying-actags) for more information on our recommendations for those types of changes.
* The acoustic foam of the AcTag will absorb water, which can cause rust and mold to form on your AcTag. Ideally, we recommend properly cleaning and storing your AcTags after each use. To do so, disassemble the AcTag and rinse then dry off all the metal pieces. Rinse and then squeeze out the acoustic foam to remove as much water as possible. Reassemble the AcTag and then store in an upright position so that excess water can drain out and dry off. If you are unable to disassemble the tag, store in an upright position where the water can drain out and dry up.
